### Class

# Gtk SliceListModel

#### Description [src]

    final class Gtk.SliceListModel : GObject.Object {
      /* No available fields */
    }

`GtkSliceListModel` is a list model that presents a slice of another model.

This is useful when implementing paging by setting the size to the number of elements per page and updating the offset whenever a different page is opened.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_slice_list_model_new

Creates a new slice model.

#### Instance methods

###### gtk_slice_list_model_get_model

Gets the model that is currently being used or `NULL` if none.

###### gtk_slice_list_model_get_offset

Gets the offset set via gtk_slice_list_model_set_offset().

###### gtk_slice_list_model_get_size

Gets the size set via gtk_slice_list_model_set_size().

###### gtk_slice_list_model_set_model

Sets the model to show a slice of.

###### gtk_slice_list_model_set_offset

Sets the offset into the original model for this slice.

###### gtk_slice_list_model_set_size

Sets the maximum size. `self` will never have more items than `size`.

#### Properties

###### Gtk.SliceListModel:model

Child model to take slice from.

###### Gtk.SliceListModel:offset

Offset of slice.

###### Gtk.SliceListModel:size

Maximum size of slice.

#### Class structure

    struct GtkSliceListModelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.